Bug 70612 - ncftpd port is horribly out of date
Summary: ncftpd port is horribly out of date
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-18 09:30 UTC by Marc Silver
Modified: 2004-08-20 09:53 UTC (History)
0 users

See Also:


Attachments
file.diff (483 bytes, patch)
2004-08-18 09:30 UTC, Marc Silver
no flags Details | Diff
file.diff (977 bytes, patch)
2004-08-18 09:30 UTC, Marc Silver
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Silver 2004-08-18 09:30:39 UTC
	/usr/ports/ftp/ncftpd is horribly out of date.  The current
	version of ncftpd is 2.8.1, but the port still has 2.7.3.

	This new version obviously includes any security fixes, so it's
	a pretty important upgrade imho.

	I would be more than willing to take over maintaning this port
	if the current maintainer would like to stop looking after it.

Fix: Apply the following patch to Makefile and distinfo:

How-To-Repeat: 	
	Install /usr/ports/ftp/ncftpd, then realise you're running an
	old version?  ;)
Comment 1 Oliver Eikemeier 2004-08-18 10:46:10 UTC
Marc Silver wrote:

> 	/usr/ports/ftp/ncftpd is horribly out of date.  The current
> 	version of ncftpd is 2.8.1, but the port still has 2.7.3.
>
> 	This new version obviously includes any security fixes, so it's
> 	a pretty important upgrade imho.

Could you give me a reference to the security vulnerabilities fixed? The 
only thing I could find is a fix for problems introduced with 2.8.0, 
which is not on the ports tree.

-Oliver
Comment 2 Marc Silver 2004-08-18 10:58:52 UTC
On Wed, Aug 18, 2004 at 11:46:10AM +0200, Oliver Eikemeier wrote:
> Could you give me a reference to the security vulnerabilities fixed?
> The only thing I could find is a fix for problems introduced with
> 2.8.0, which is not on the ports tree.

Gah, you're right.... I noticed that now too.  I didn't realise it was
due to the release of 2.8.0.

Cheers,
Marc

-- 
Success is never final. Failure is never fatal. It is courage that
counts.  
  -- Winston Churchill
Comment 3 Volker Stolz freebsd_committer 2004-08-18 14:51:53 UTC
Dear maintainer, please review the proposed patch!

Volker
Comment 4 Volker Stolz freebsd_committer 2004-08-18 14:52:04 UTC
State Changed
From-To: open->feedback

Forwarded PR to maintainer 


Comment 5 Volker Stolz freebsd_committer 2004-08-18 14:52:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'll track this
Comment 6 Volker Stolz freebsd_committer 2004-08-20 09:53:36 UTC
State Changed
From-To: feedback->closed

Committed, thanks!